﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using System.Windows.Threading;

namespace TextEditorIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void tValueChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            var val = (string)e.NewValue;
            Dispatcher.BeginInvoke(new Action(() =>
            {
                ((XamTextEditor)sender).Value = val != null ? val.ToUpper() : val;
                ((XamTextEditor)sender).SelectionStart = ((XamTextEditor)sender).Text.Length;
            }), DispatcherPriority.DataBind, null);
        }

    }
}
